#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "ctimer.h"
#include "imageop.h"

#include "piup.h"

RzImage * PIUserProc_1(ImageR4 & , int xp, int yp, int dx, int dy,
                       char * arg1, char * arg2)
{
printf("PIUserProc_1/Dummy Pave[%d,%d] en (%d %d) %s %s ne fait rien !\n", 
       dx, dy, xp, yp, arg1, arg2);
return(NULL);
}
 
RzImage * PIUserProc_2(ImageR4 & , int xp, int yp, int dx, int dy,
                       char * arg1, char * arg2)
{
printf("PIUserProc_2/Dummy Pave[%d,%d] en (%d %d) %s %s ne fait rien !\n", 
       dx, dy, xp, yp, arg1, arg2);
return(NULL);
}
 
RzImage * PIUserProc_3(ImageR4 & , int xp, int yp, int dx, int dy,
                       char * arg1, char * arg2)
{
printf("PIUserProc_3/Dummy Pave[%d,%d] en (%d %d) %s %s ne fait rien !\n", 
       dx, dy, xp, yp, arg1, arg2);
return(NULL);
}
 
